%define        il_api      1.1.2
Name:          libomxil-bellagio
Version:       0.9.3
Release:       1mamba
Summary:       Bellagio OpenMAX Integration Layer %{il_api} library and components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://omxil.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/omxil/omxil/Bellagio%20%{version}/libomxil-bellagio-%{version}.tar.gz
Patch0:        libomxil-bellagio-0.9.3-parallel-build.patch
Patch1:        libomxil-bellagio-0.9.3-dynamicloader-linking.patch
Patch2:        libomxil-bellagio-0.9.3-gcc-4.9.patch
License:       LGPL
BuildRequires: doxygen
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The OpenMAX IL API defines a standardized media component interface to enable developers and platform providers to integrate and communicate with multimedia codecs implemented in hardware or software.
The libomxil shared library implements the OpenMAX IL Core functionalities. Four dynamically loadable components are also included: OMX volume control, OMX audio mixer (up to 4 inputs), a video scheduler component for uncompressed video streams and a clock component

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Bellagio is an opensource implementation of the Khronos OpenMAX Integration Layer API to access multimedia components.
This package contains static libraries and header files need for development.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
	docdir=%{_defaultdocdir}/libomxil-bellagio

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/omxregister-bellagio
%{_libdir}/bellagio/libomx*.*a
%{_libdir}/bellagio/libomx*.so
%{_libdir}/bellagio/libomx*.so.*
%dir %{_libdir}/omxloaders
%{_libdir}/omxloaders/libomxdynamicloader.a
%{_libdir}/omxloaders/libomxdynamicloader.la
%{_libdir}/omxloaders/libomxdynamicloader.so
%{_libdir}/omxloaders/libomxdynamicloader.so.*
%{_libdir}/libomxil-bellagio.so.*
%{_mandir}/man1/omxregister-bellagio.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%dir %{_includedir}/bellagio
%{_includedir}/bellagio/*.h
%{_libdir}/libomxil-bellagio.a
%{_libdir}/libomxil-bellagio.la
%{_libdir}/libomxil-bellagio.so
%{_libdir}/pkgconfig/libomxil-bellagio.pc
%dir %{_defaultdocdir}/libomxil-bellagio
%{_defaultdocdir}/libomxil-bellagio/ChangeLog
%{_defaultdocdir}/libomxil-bellagio/README
%{_defaultdocdir}/libomxil-bellagio/TODO
%doc NEWS

%changelog
* Fri Sep 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-1mamba
- update to 0.9.3

* Sat Sep 04 2010 gil <puntogil@libero.it> 0.9.2.1-1mamba
- package created by autospec
